package com.shiyanlou.base;

import com.shiyanlou.dao.entity.User;
import com.shiyanlou.dao.support.ShiyanlouUserDetails;
import org.springframework.security.core.GrantedAuthority;

import java.util.Collection;

/**
 * 功能描述 :  User实体扩展类，集成 spring security
 */
public class UserExt extends User implements ShiyanlouUserDetails {

    private static final long serialVersionUID = 1535940229378850326L;

    @Override
    public Collection<? extends GrantedAuthority> getAuthorities() {
        return null;
    }

    /**
     * 功能描述：用户是否过期
     */
    @Override
    public boolean isAccountNonExpired() {
        return true;
    }

    /**
     * 功能描述：用户是否冻结
     */
    @Override
    public boolean isAccountNonLocked() {
        return true;
    }

    /**
     * 功能描述：密码是否过期
     */
    @Override
    public boolean isCredentialsNonExpired() {
        return true;
    }

    /**
     * 功能描述：用户是否被删除
     */
    @Override
    public boolean isEnabled() {
        return true;
    }

}